RENAME(1)

NAZWA
rename - zmienia nazwy plików

SKŁADNIA

rename [opcje] wyrażenie zamiennik plik...

OPIS

rename zmieni nazwę podanych plików, zastępując zamiennikiem pierwsze wystąpienie wyrażenia w ich nazwach.

OPCJE

-s, --symlink
    Nie zmienia nazwy dowiązania symbolicznego, tylko pliku, na który ono wskazuje.

-v, --verbose
    Wypisuje pliki o zmienianej nazwie, jeśli występują.

-n, --no-act
    Nie dokonuje zmian; łącznie z opcją --verbose pokazuje, co zostałoby zmienione.

-a, --all
    Zastępuje wszystkie wystąpienia wyrażenia, a nie tylko pierwsze.

-l, --last
    Zastępuje ostatnie wystąpienie wyrażenia, a nie pierwsze.

-o, --no-overwrite
    Nie nadpisuje istniejących plików. Gdy działa opcja --symlink, nie nadpisuje dowiązań symbolicznych wskazujących na istniejące cele.

-i, --interactive
    Pyta przed nadpisaniem istniejących plików.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

OSTRZEŻENIE

Operacja zmiany nazwy domyślnie nie ma żadnych bezpieczników, o ile nie podano którejś z opcji --no-overwrite, --interactive lub --no-act. Jeśli tylko użytkownik ma uprawnienia do zmiany nazwy plików, niniejsze polecenie zrobi to bez zadawania zbędnych pytań. Rezultaty mogą być dość drastyczne, jeśli użyje się polecenia na przykład jako root w katalogu /lib. Przed uruchomieniem polecenia proszę zawsze wykonać kopię zapasową, chyba że naprawdę jest się pewnym swoich działań.

SKRAJNE PRZYPADKI

Jeśli wyrażenie będzie puste, zamiennik zostanie domyślnie dodany na początku pliku. Z opcją --all, zamiennik będzie wstawiony co każde dwa znaki nazwy plików oraz na jej początku i końcu.

Zwykle aktualizowana jest jedynie ostatnia składowa ścieżki nazwy pliku (lub z opcją --symlink, jedynie ostatnia składowa ścieżki dowiązanego pliku). Jeśli jednak wyrażenie lub zamiennik zawiera /, aktualizowana jest pełna ścieżka. Może to spowodować przesunięcie pliku między katalogami. Nie jest obsługiwane tworzenie katalogów i przemieszczanie plików między systemami plików.

TRYB INTERAKTYWNY

Podobnie jak większość standardowych narzędzi, rename może być używany na urządzeniu terminala (w skrócie tty) w trybie kanonicznym, gdzie wiersz jest buforowany przez tty i konieczne jest potwierdzenie wejścia użytkownika klawiszem ENTER. Jeśli jednak ustawi się tty w trybie cbreak, potwierdzanie pytań programu będzie się odbywać jedynie pojedynczym klawiszem. Tryb cbreak można ustawić przykładowo poleceniem:

    sh -c 'stty -icanon min 1; "$0" "$@"; stty icanon' rename -i wyrażenie zamiennik pliki

STATUS ZAKOŃCZENIA

0
    wszystkie żądane operacje zmiany nazwy powiodły się

1
    wszystkie operacje zmiany nazwy zawiodły

2
    niektóre operacje zmiany nazwy nie powiodły się

4
    nie zmieniono żadnej nazwy

64
    wystąpił nieoczekiwany błąd

PRZYKŁADY

Mając dane pliki foo1, ..., foo9, foo10, ..., foo278, polecenie

    rename foo foo00 foo?
    rename foo foo0 foo??

zmieni ich nazwy na foo001, ..., foo009, foo010, ..., foo278. Natomiast

    rename .htm .html *.htm

poprawi rozszerzenie plików htm na html. Aby skrócić nazwę można podać łańcuch pusty:

    rename '_z_długą_nazwą' '' plik_z_długą_nazwą.*

usunie wskazany podłańcuch z nazw plików.

ZOBACZ TAKŻE

mv(1)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie rename jest częścią pakietu util-linux, który można pobrać ze strony